// You can import API functions like this from D3.js.
import { 
  select, 
  csv,
  event,
  brushX,
  timeParse, 
  timeFormat
} from 'd3';

//import { displayChart } from './displayChart';
import { brushChart } from './brushChart';

const svg1 = select('#main-chart');
  // .append('svg')
  // .attr('width', 960)
  // .attr('height',500);

const svg2 = select('#brush-chart');
  // .append('svg')
  // .attr('width', 960)
  // .attr('height',100);;

const parseDate = timeParse("%d/%m/%Y");
const formatDate = timeFormat("%b %Y");

let data=[];

let brushCoords = null;
// let trendline = null

const render = () => {
  brushChart(svg1, {
    width: +svg1.attr('width'),
    height: +svg1.attr('height'),
    data,
    colorValue: d => d.wl,
    circleRadius: 2,
    xAxisLabel: 'Date',
    yAxisLabel: 'Water Level',
    xScaleDomain: brushCoords
    // trendline
  });
  
  brushChart(svg2, {
    width: +svg2.attr('width'),
    height: +svg2.attr('height'),
    data,
    colorValue: d => d.wl,
    circleRadius: 2,
    xAxisLabel: 'Date',
    yAxisLabel: 'Water Level',
    setBrushCoords: coords => {
      brushCoords = coords;
      // filteredData = data.filter(inside(coords))
      // trendline = computeTrendline(filteredData);
      render();
      //console.log(coords);
    }
  })
}

const wls =["OW2DWL", "OW2DSWL"];
csv('https://vizhub.com/careyshan/datasets/monthlyViz.csv')
  .then(loadedData => {
  loadedData.forEach(row => {
    wls.forEach(wl => {
    if(row[wl]!==undefined){
    data.push({
			Date:parseDate(row.Date),
      wl,
      value: +row[wl]
    	})
    }})
  })
});

setTimeout(()=>{
	render();
}, 2000)